Subject: [yang-doctors] Yangdoctors early review of draft-ietf-ccamp-rfc9093-bis-13
From: Joe Clarke via Datatracker <[email-masked]>
To: <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 24 Apr 2025 08:20:23 -0700
List-Id: Email list of the yang-doctors directorate <yang-doctors.ietf.org>

Document: draft-ietf-ccamp-rfc9093-bis
Title: Common YANG Data Types for Layer 0 Networks
Reviewer: Joe Clarke
Review result: Ready with Issues

Hello again, authors!  I've been asked to take another look at this module on
behalf of YANG Doctors.  We discussed some of the previous issues in email, and
I appreciate the changes you have made.  Most of what I found a probably best
described as nits, but I marked this as "with issues" again for the grouping
point I raised last time.

While I acknowledge the intent of these groupings is to also be used with other
structure (e.g., a "grid-type" leaf), I would like to see some explicit text in
the grouping descriptions to clarify that.  While these types/groupings may
only be used in ccamp/teas work, I find it odd that one can't really make use
of them without additional augmentations or structure.

Also, I noticed you mix types with the l0-types: prefix and those without. 
Example:

case single {
            leaf dwdm-n {
              type l0-types:dwdm-n;
              description
                "The given value 'N' is used to determine the
                 nominal central frequency.";
            }
          }

And:

leaf standard-mode {
      type standard-mode;
      config false;
      description
        "G.698.2 standard mode";
    }

Why the discrepancy?

I also notice some differences in choice naming in wdm-label-step.  You've used
grid-type everywhere else, but here you use l0-grid-type.  Probably should
leave out the "l0-".

Similarly, you have some groupings (like l0-tunnel-attributes) named with
"l0-".  Is that required given this will be used with the l0-types: prefix?